/*
 * SPDX-FileCopyrightText: 2026 Maciej Sopyło <me@klh.io>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <QObject>

#include "ObjectProxy.h"

Q_DECLARE_METATYPE(QList<double>)

class DesktopPortal : public ObjectProxy
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Service Name", "org.freedesktop.impl.portal.desktop.lomiri")
    Q_CLASSINFO("D-Bus Object Path", "/org/freedesktop/portal/desktop")

public:
    explicit DesktopPortal(QObject *parent = nullptr);
};
